/* 拡張とカードのデータ */
import java.awt.Color;


public class CardData {
	private static final int NORMAL = 0, TRASH = 1, ACTION = 2, BUY = 4, BANE = 8;

	public static Page[] pages;
	public static Expansion[] expansions;
	public static Card YWITCH, BMARKET;
	public static Expansion ALCHEMY, PROSPERITY, DARKAGES;

	public static void init(){
		/* メイン画面の各ページ */
		pages = new Page[]{
			new SettingPage  ( 0),
			new ExpansionPage( 1, "無印",           Color.BLUE,               new Color(213, 213, 255), 25, false),
			new ExpansionPage( 2, "陰謀",           Color.RED,                new Color(255, 213, 213), 25, false),
			new ExpansionPage( 3, "海辺",           new Color(  0, 128, 255), new Color(213, 241, 255), 26, false),
			new ExpansionPage( 4, "錬金術",         new Color(128,   0, 255), new Color(234, 213, 255), 12, true ),
			new ExpansionPage( 5, "繁栄",           new Color(128, 128,   0), new Color(255, 234, 123), 25, false),
			new ExpansionPage( 6, "収穫祭",         new Color(170, 111,   0), new Color(234, 189, 104), 13, false),
			new ExpansionPage( 7, "異郷",           new Color( 72,  96,  32), new Color(200, 223, 159), 26, false),
			new ExpansionPage( 8, "暗黒時代",       new Color(114,  78,  56), new Color(199, 163, 141), 35, false),
			new ExpansionPage( 9, "ギルド",         new Color(158,  12, 143), new Color(252, 216, 248), 13, false),
			new CardPage     (10, "プロモーション", new Color( 64,  64,  64), new Color(233, 233, 233),  5)
		};

		/* 拡張 */
		expansions = new Expansion[]{
			new Expansion((CardPage)pages[1], 25),
			new Expansion((CardPage)pages[2], 25),
			new Expansion((CardPage)pages[3], 26),
			ALCHEMY = new Expansion((CardPage)pages[4], 12),
			PROSPERITY = new Expansion((CardPage)pages[5], 25),
			new Expansion((CardPage)pages[6], 13),
			new Expansion((CardPage)pages[7], 26),
			DARKAGES = new Expansion((CardPage)pages[8], 35),
			new Expansion((CardPage)pages[9], 13),
			new Expansion((CardPage)pages[10], 1),
			new Expansion((CardPage)pages[10], 1),
			new Expansion((CardPage)pages[10], 1),
			new Expansion((CardPage)pages[10], 1),
			new Expansion((CardPage)pages[10], 1)
		};

		/* カード */
		new Card(  1,   4, pages[1], expansions[0], BANE, "地下貯蔵庫", "Cellar");
		new Card(  2,   5, pages[1], expansions[0], TRASH | BANE, "礼拝堂", "Chapel");
		new Card(  3,   6, pages[1], expansions[0], BANE, "堀", "Moat");
		new Card(  4,  26, pages[1], expansions[0], ACTION | BANE, "村", "Village");
		new Card(  5,  27, pages[1], expansions[0], BUY | BANE, "木こり", "Woodcutter");
		new Card(  6,  28, pages[1], expansions[0], BANE, "工房", "Workshop");
		new Card(  7,  29, pages[1], expansions[0], BANE, "宰相", "Chancellor");
		new Card(  8,  61, pages[1], expansions[0], NORMAL, "鍛冶屋", "Smithy");
		new Card(  9,  62, pages[1], expansions[0], NORMAL, "役人", "Bureaucrat");
		new Card( 10,  63, pages[1], expansions[0], NORMAL, "祝宴", "Feast");
		new Card( 11,  64, pages[1], expansions[0], NORMAL, "泥棒", "Thief");
		new Card( 12,  65, pages[1], expansions[0], TRASH, "金貸し", "Moneylender");
		new Card( 13,  66, pages[1], expansions[0], NORMAL, "密偵", "Spy");
		new Card( 14,  67, pages[1], expansions[0], NORMAL, "改築", "Remodel");
		new Card( 15,  68, pages[1], expansions[0], NORMAL, "民兵", "Militia");
		new Card( 16,  69, pages[1], expansions[0], NORMAL, "玉座の間", "ThroneRoom");
		new Card( 17,  70, pages[1], expansions[0], NORMAL, "庭園", "Gardens");
		new Card( 18, 115, pages[1], expansions[0], ACTION | BUY, "祝祭", "Festival");
		new Card( 19, 116, pages[1], expansions[0], BUY, "市場", "Market");
		new Card( 20, 117, pages[1], expansions[0], NORMAL, "研究所", "Laboratory");
		new Card( 21, 118, pages[1], expansions[0], NORMAL, "鉱山", "Mine");
		new Card( 22, 119, pages[1], expansions[0], NORMAL, "魔女", "Witch");
		new Card( 23, 120, pages[1], expansions[0], NORMAL, "書庫", "Library");
		new Card( 24, 121, pages[1], expansions[0], BUY, "議事堂", "CouncilRoom");
		new Card( 25, 176, pages[1], expansions[0], NORMAL, "冒険者", "Adventurer");
		new Card( 26,   7, pages[2], expansions[1], BUY | BANE, "手先", "Pawn");
		new Card( 27,   8, pages[2], expansions[1], BANE, "中庭", "Courtyard");
		new Card( 28,   9, pages[2], expansions[1], BANE, "秘密の部屋", "SecretChamber");
		new Card( 29,  30, pages[2], expansions[1], BANE, "大広間", "GreatHall");
		new Card( 30,  31, pages[2], expansions[1], ACTION | BANE, "貧民街", "ShantyTown");
		new Card( 31,  32, pages[2], expansions[1], TRASH | BANE, "仮面舞踏会", "Masquerade");
		new Card( 32,  33, pages[2], expansions[1], BANE, "願いの井戸", "WishingWell");
		new Card( 33,  34, pages[2], expansions[1], BANE, "詐欺師", "Swindler");
		new Card( 34,  35, pages[2], expansions[1], TRASH | BANE, "執事", "Steward");
		new Card( 35,  71, pages[2], expansions[1], NORMAL, "共謀者", "Conspirator");
		new Card( 36,  72, pages[2], expansions[1], NORMAL, "鉄工所", "Ironworks");
		new Card( 37,  73, pages[2], expansions[1], ACTION, "鉱山の村", "MiningVillage");
		new Card( 38,  74, pages[2], expansions[1], BUY, "橋", "Bridge");
		new Card( 39,  75, pages[2], expansions[1], NORMAL, "偵察員", "Scout");
		new Card( 40,  76, pages[2], expansions[1], NORMAL, "銅細工師", "Coppersmith");
		new Card( 41,  77, pages[2], expansions[1], BUY, "男爵", "Baron");
		new Card( 42, 122, pages[2], expansions[1], NORMAL, "寵臣", "Minion");
		new Card( 43, 123, pages[2], expansions[1], NORMAL, "公爵", "Duke");
		new Card( 44, 124, pages[2], expansions[1], NORMAL, "破壊工作員", "Saboteur");
		new Card( 45, 125, pages[2], expansions[1], NORMAL, "貢物", "Tribute");
		new Card( 46, 126, pages[2], expansions[1], TRASH, "改良", "Upgrade");
		new Card( 47, 127, pages[2], expansions[1], TRASH, "交易場", "TradingPost");
		new Card( 48, 128, pages[2], expansions[1], NORMAL, "拷問人", "Torturer");
		new Card( 49, 177, pages[2], expansions[1], NORMAL, "ハーレム", "Harem");
		new Card( 50, 178, pages[2], expansions[1], ACTION, "貴族", "Nobles");
		new Card( 51,  10, pages[3], expansions[2], BANE, "抑留", "Embargo");
		new Card( 52,  11, pages[3], expansions[2], ACTION | BANE, "原住民の村", "NativeVillage");
		new Card( 53,  12, pages[3], expansions[2], BANE, "真珠採り", "PearlDiver");
		new Card( 54,  13, pages[3], expansions[2], BANE, "停泊所", "Haven");
		new Card( 55,  14, pages[3], expansions[2], BANE, "灯台", "Lighthouse");
		new Card( 56,  36, pages[3], expansions[2], ACTION | BANE, "漁村", "FishingVillage");
		new Card( 57,  37, pages[3], expansions[2], BANE, "大使", "Ambassador");
		new Card( 58,  38, pages[3], expansions[2], TRASH | BANE, "見張り", "Lookout");
		new Card( 59,  39, pages[3], expansions[2], BANE, "密輸人", "Smugglers");
		new Card( 60,  40, pages[3], expansions[2], BANE, "倉庫", "Warehouse");
		new Card( 61,  78, pages[3], expansions[2], NORMAL, "巾着切り", "Cutpurse");
		new Card( 62,  79, pages[3], expansions[2], NORMAL, "航海士", "Navigator");
		new Card( 63,  80, pages[3], expansions[2], NORMAL, "海賊船", "PirateShip");
		new Card( 64,  81, pages[3], expansions[2], TRASH | BUY, "引揚水夫", "Salvager");
		new Card( 65,  82, pages[3], expansions[2], NORMAL, "島", "Island");
		new Card( 66,  83, pages[3], expansions[2], NORMAL, "海の妖婆", "SeaHag");
		new Card( 67,  84, pages[3], expansions[2], NORMAL, "宝の地図", "TreasureMap");
		new Card( 68,  85, pages[3], expansions[2], NORMAL, "隊商", "Caravan");
		new Card( 69, 129, pages[3], expansions[2], ACTION, "バザー", "Bazaar");
		new Card( 70, 130, pages[3], expansions[2], NORMAL, "探検家", "Explorer");
		new Card( 71, 131, pages[3], expansions[2], NORMAL, "幽霊船", "GhostShip");
		new Card( 72, 132, pages[3], expansions[2], NORMAL, "宝物庫", "Treasury");
		new Card( 73, 133, pages[3], expansions[2], NORMAL, "商船", "MerchantShip");
		new Card( 74, 134, pages[3], expansions[2], BUY, "船着場", "Wharf");
		new Card( 75, 135, pages[3], expansions[2], NORMAL, "前哨地", "Outpost");
		new Card( 76, 136, pages[3], expansions[2], BUY, "策士", "Tactician");
		new Card( 77,   1, pages[4], expansions[3], NORMAL, "ブドウ園", "Vineyard");
		new Card( 78,   2, pages[4], expansions[3], TRASH, "変成", "Transmute");
		new Card( 79,  15, pages[4], expansions[3], BUY | BANE, "薬草商", "Herbalist");
		new Card( 80,  23, pages[4], expansions[3], NORMAL, "念視の泉", "ScryingPool");
		new Card( 81,  24, pages[4], expansions[3], ACTION, "大学", "University");
		new Card( 82,  25, pages[4], expansions[3], NORMAL, "薬師", "Apothecary");
		new Card( 83,  58, pages[4], expansions[3], NORMAL, "使い魔", "Familiar");
		new Card( 84,  59, pages[4], expansions[3], NORMAL, "賢者の石", "PhilsStone");
		new Card( 85,  60, pages[4], expansions[3], NORMAL, "錬金術師", "Alchemist");
		new Card( 86, 114, pages[4], expansions[3], NORMAL, "ゴーレム", "Golem");
		new Card( 87, 137, pages[4], expansions[3], TRASH, "弟子", "Apprentice");
		new Card( 88, 187, pages[4], expansions[3], NORMAL, "支配", "Possession");
		new Card( 89,  41, pages[5], expansions[4], TRASH | BUY | BANE, "交易路", "TradeRoute");
		new Card( 90,  42, pages[5], expansions[4], BANE, "望楼", "Watchtower");
		new Card( 91,  43, pages[5], expansions[4], TRASH | BANE, "借金", "Loan");
		new Card( 92,  86, pages[5], expansions[4], TRASH, "司教", "Bishop");
		new Card( 93,  87, pages[5], expansions[4], NORMAL, "記念碑", "Monument");
		new Card( 94,  88, pages[5], expansions[4], ACTION | BUY, "労働者の村", "WorkersVillage");
		new Card( 95,  89, pages[5], expansions[4], NORMAL, "石切場", "Quarry");
		new Card( 96,  90, pages[5], expansions[4], NORMAL, "護符", "Talisman");
		new Card( 97, 138, pages[5], expansions[4], ACTION | BUY, "都市", "City");
		new Card( 98, 139, pages[5], expansions[4], NORMAL, "会計所", "CountingHouse");
		new Card( 99, 140, pages[5], expansions[4], NORMAL, "造幣所", "Mint");
		new Card(100, 141, pages[5], expansions[4], NORMAL, "保管庫", "Vault");
		new Card(101, 142, pages[5], expansions[4], NORMAL, "香具師", "Mountebank");
		new Card(102, 143, pages[5], expansions[4], NORMAL, "大衆", "Rabble");
		new Card(103, 144, pages[5], expansions[4], NORMAL, "投機", "Venture");
		new Card(104, 145, pages[5], expansions[4], NORMAL, "玉璽", "RoyalSeal");
		new Card(105, 146, pages[5], expansions[4], BUY, "禁制品", "Contraband");
		new Card(106, 179, pages[5], expansions[4], BUY, "大市場", "GrandMarket");
		new Card(107, 180, pages[5], expansions[4], BUY, "ならず者", "Goons");
		new Card(108, 181, pages[5], expansions[4], NORMAL, "隠し財産", "Hoard");
		new Card(109, 188, pages[5], expansions[4], NORMAL, "拡張", "Expand");
		new Card(110, 189, pages[5], expansions[4], TRASH, "鍛造", "Forge");
		new Card(111, 190, pages[5], expansions[4], NORMAL, "宮廷", "KingsCourt");
		new Card(112, 191, pages[5], expansions[4], NORMAL, "銀行", "Bank");
		new Card(113, 192, pages[5], expansions[4], NORMAL, "行商人", "Peddler");
		new Card(114,  16, pages[6], expansions[5], ACTION | BUY | BANE, "村落", "Hamlet");
		new Card(115,  44, pages[6], expansions[5], BANE, "移動動物園", "Menagerie");
		new Card(116,  45, pages[6], expansions[5], BANE, "占い師", "FortuneTeller");
		new Card(117,  91, pages[6], expansions[5], BUY, "馬商人", "HorseTraders");
		new Card(118,  92, pages[6], expansions[5], ACTION, "農村", "FarmingVillage");
		new Card(119,  93, pages[6], expansions[5], NORMAL, "馬上槍試合", "Tournament");
		YWITCH = new Card(120,  94, pages[6], expansions[5], NORMAL, "魔女娘", "YoungWitch");
		new Card(121,  95, pages[6], expansions[5], TRASH, "再建", "Remake");
		new Card(122, 147, pages[6], expansions[5], NORMAL, "豊穣の角笛", "HornOfPlenty");
		new Card(123, 148, pages[6], expansions[5], NORMAL, "狩猟団", "HuntingParty");
		new Card(124, 149, pages[6], expansions[5], NORMAL, "収穫", "Harvest");
		new Card(125, 150, pages[6], expansions[5], NORMAL, "道化師", "Jester");
		new Card(126, 182, pages[6], expansions[5], NORMAL, "品評会", "Fairgrounds");
		new Card(127,  17, pages[7], expansions[6], BANE, "公爵夫人", "Duchess");
		new Card(128,  18, pages[7], expansions[6], BANE, "愚者の黄金", "FoolsGold");
		new Card(129,  19, pages[7], expansions[6], ACTION | BANE, "岐路", "Crossroads");
		new Card(130,  46, pages[7], expansions[6], TRASH | BANE, "開発", "Develop");
		new Card(131,  47, pages[7], expansions[6], BANE, "画策", "Scheme");
		new Card(132,  48, pages[7], expansions[6], BANE, "オアシス", "Oasis");
		new Card(133,  49, pages[7], expansions[6], BANE, "神託", "Oracle");
		new Card(134,  50, pages[7], expansions[6], BANE, "坑道", "Tunnel");
		new Card(135,  96, pages[7], expansions[6], NORMAL, "義賊", "NobleBrigand");
		new Card(136,  97, pages[7], expansions[6], TRASH, "交易人", "Trader");
		new Card(137,  98, pages[7], expansions[6], TRASH | BUY, "香辛料商人", "SpiceMerchant");
		new Card(138,  99, pages[7], expansions[6], TRASH, "よろずや", "JackOfAllTrades");
		new Card(139, 100, pages[7], expansions[6], BUY, "遊牧民の野営地", "NomadCamp");
		new Card(140, 101, pages[7], expansions[6], NORMAL, "シルクロード", "SilkRoad");
		new Card(141, 151, pages[7], expansions[6], NORMAL, "不正利得", "IllGottenGains");
		new Card(142, 152, pages[7], expansions[6], NORMAL, "大使館", "Embassy");
		new Card(143, 153, pages[7], expansions[6], NORMAL, "値切り屋", "Haggler");
		new Card(144, 154, pages[7], expansions[6], NORMAL, "街道", "Highway");
		new Card(145, 155, pages[7], expansions[6], ACTION, "宿屋", "Inn");
		new Card(146, 156, pages[7], expansions[6], NORMAL, "地図職人", "Cartographer");
		new Card(147, 157, pages[7], expansions[6], NORMAL, "官吏", "Mandarin");
		new Card(148, 158, pages[7], expansions[6], BUY, "辺境伯", "Margrave");
		new Card(149, 159, pages[7], expansions[6], NORMAL, "埋蔵金", "Cache");
		new Card(150, 160, pages[7], expansions[6], NORMAL, "厩舎", "Stables");
		new Card(151, 183, pages[7], expansions[6], NORMAL, "農地", "Farmland");
		new Card(152, 184, pages[7], expansions[6], ACTION, "国境の村", "BorderVillage");
		new Card(153,   3, pages[8], expansions[7], NORMAL, "救貧院", "PoorHouse");
		new Card(154,  20, pages[8], expansions[7], BANE, "物乞い", "Beggar");
		new Card(155,  21, pages[8], expansions[7], ACTION | BUY | BANE, "従者", "Squire");
		new Card(156,  22, pages[8], expansions[7], BANE, "浮浪者", "Vagrant");
		new Card(157,  51, pages[8], expansions[7], TRASH | BUY | BANE, "採集者", "Forager");
		new Card(158,  52, pages[8], expansions[7], BANE, "隠遁者", "Hermit");
		new Card(159,  53, pages[8], expansions[7], BUY | BANE, "青空市場", "MarketSquare");
		new Card(160,  54, pages[8], expansions[7], BANE, "賢者", "Sage");
		new Card(161,  55, pages[8], expansions[7], BUY | BANE, "物置", "Storeroom");
		new Card(162,  56, pages[8], expansions[7], BANE, "浮浪児", "Urchin");
		new Card(163, 102, pages[8], expansions[7], NORMAL, "武器庫", "Armory");
		new Card(164, 103, pages[8], expansions[7], TRASH, "死の荷車", "DeathCart");
		new Card(165, 104, pages[8], expansions[7], NORMAL, "封土", "Feodum");
		new Card(166, 105, pages[8], expansions[7], ACTION, "城塞", "Fortress");
		new Card(167, 106, pages[8], expansions[7], NORMAL, "金物商", "Ironmonger");
		new Card(168, 107, pages[8], expansions[7], NORMAL, "襲撃者", "Marauder");
		new Card(169, 108, pages[8], expansions[7], NORMAL, "行進", "Procession");
		new Card(170, 109, pages[8], expansions[7], NORMAL, "ネズミ", "Rats");
		new Card(171, 110, pages[8], expansions[7], NORMAL, "ゴミあさり", "Scavenger");
		new Card(172, 111, pages[8], expansions[7], ACTION, "吟遊詩人", "WanderingMinstrel");
		new Card(173, 161, pages[8], expansions[7], NORMAL, "はみだし者", "BandOfMisfits");
		new Card(174, 162, pages[8], expansions[7], ACTION, "山賊の宿営地", "BanditCamp");
		new Card(175, 163, pages[8], expansions[7], NORMAL, "地下墓所", "Catacombs");
		new Card(176, 164, pages[8], expansions[7], TRASH, "伯爵", "Count");
		new Card(177, 165, pages[8], expansions[7], TRASH | BUY, "偽造通貨", "Counterfeit");
		new Card(178, 166, pages[8], expansions[7], NORMAL, "狂信者", "Cultist");
		new Card(179, 167, pages[8], expansions[7], NORMAL, "墓暴き", "Graverobber");
		new Card(180, 168, pages[8], expansions[7], TRASH, "屑屋", "JunkDealer");
		new Card(181, 169, pages[8], expansions[7], NORMAL, "騎士", "Knights");
		new Card(182, 170, pages[8], expansions[7], NORMAL, "秘術師", "Mystic");
		new Card(183, 171, pages[8], expansions[7], NORMAL, "略奪", "Pillage");
		new Card(184, 172, pages[8], expansions[7], NORMAL, "建て直し", "Rebuild");
		new Card(185, 173, pages[8], expansions[7], NORMAL, "盗賊", "Rogue");
		new Card(186, 185, pages[8], expansions[7], NORMAL, "祭壇", "Altar");
		new Card(187, 186, pages[8], expansions[7], NORMAL, "狩場", "HuntingGrounds");
		new Card(188,  23, pages[9], expansions[8], BUY | BANE, "蝋燭職人", "CandlestickMaker");
		new Card(189,  24, pages[9], expansions[8], BANE, "石工", "Stonemason");
		new Card(190,  59, pages[9], expansions[8], TRASH | BANE, "医者", "Doctor");
		new Card(191,  60, pages[9], expansions[8], BANE, "名品", "Masterpiece");
		new Card(192, 116, pages[9], expansions[8], NORMAL, "助言者", "Advisor");
		new Card(193, 117, pages[9], expansions[8], NORMAL, "伝令官", "Herald");
		new Card(194, 118, pages[9], expansions[8], ACTION, "広場", "Plaza");
		new Card(195, 119, pages[9], expansions[8], NORMAL, "収税吏", "Taxman");
		new Card(196, 182, pages[9], expansions[8], NORMAL, "パン屋", "Baker");
		new Card(197, 183, pages[9], expansions[8], NORMAL, "肉屋", "Butcher");
		new Card(198, 184, pages[9], expansions[8], NORMAL, "熟練工", "Journeyman");
		new Card(199, 185, pages[9], expansions[8], BUY, "商人ギルド", "MerchantGuild");
		new Card(200, 186, pages[9], expansions[8], NORMAL, "予言者", "Soothsayer");
		new Card(201, 120, pages[10], expansions[9], NORMAL, "公使", "Envoy");
		BMARKET = new Card(202,  61, pages[10], expansions[10], BUY | BANE, "闇市場", "BlackMarket");
		new Card(203, 187, pages[10], expansions[11], NORMAL, "へそくり", "Stash");
		new Card(204, 121, pages[10], expansions[12], ACTION, "囲郭村", "WalledVillage");
		new Card(205, 188, pages[10], expansions[13], NORMAL, "総督", "Governor");
	}
}

