/* 表示用のカード画像 */
import java.awt.*;
import java.awt.image.BufferedImage;
import javax.swing.*;
import javax.swing.border.BevelBorder;


public class CardImage extends JPanel implements Cloneable {
	static BevelBorder lowered = new BevelBorder(BevelBorder.LOWERED);
	BufferedImage img;

	public CardImage(BufferedImage img, Color bgcolor){
		this.img = img;
		setBorder(lowered);
		setBackground(bgcolor);
		setPreferredSize(new Dimension(20 + img.getWidth(), 20 + img.getHeight()));
	}

	public void paintComponent(Graphics g){
		super.paintComponent(g);
		g.drawImage(img, 10, 10, null);
	}

	public Object clone(){
		try {
			return super.clone();
		} catch (CloneNotSupportedException ex){	// ここに制御が移ることはまず無い
			JOptionPane.showMessageDialog(null, ex.toString(), "エラー", JOptionPane.ERROR_MESSAGE);
			return null;
		}
	}
}

