/* カード選択ページのうち、各拡張に対応するもの */
import java.util.*;
import java.awt.*;
import javax.swing.*;


public class ExpansionPage extends CardPage {
	public JSpinner min = new JSpinner(new SpinnerNumberModel( 0, 0, 10, 1)), max = new JSpinner(new SpinnerNumberModel(10, 0, 10, 1));

	/* コンストラクタ */
	public ExpansionPage(int page_no, String title, Color color1, Color color2, int numberOfCards, boolean isAlchemy){
		super(page_no, title, color1, color2, numberOfCards);

		JPanel north2 = new JPanel(), north3;
		north.add(north2); north2.setOpaque(false); north2.setLayout(new BoxLayout(north2, BoxLayout.X_AXIS));
		north2.add(new JLabel(title + "セットから選ぶ枚数: "));
		north2.add(min); north2.add(new JLabel(" 枚以上 "));
		north2.add(max); north2.add(new JLabel(" 枚以下"));
		north2.setSize(new Dimension(north2.getWidth(), 18));
		north2.add(Box.createHorizontalStrut(20));
		if (isAlchemy){
			north.add(north3 = new JPanel()); north3.setOpaque(false); north3.setLayout(new BoxLayout(north3, BoxLayout.X_AXIS));
			north3.add(alchemy = new JCheckBox("錬金術のカードが含まれるならば必ず3枚以上とする"));
			alchemy.setContentAreaFilled(false);
		}
		repaint();
	}

	/* ゲッタ・セッタ */
	public int getMin(){ return (Integer)min.getValue(); }
	public void setMin(int value){ min.setValue((value < 0 || value > 10) ?  0 : value); }
	public int getMax(){ return (Integer)max.getValue(); }
	public void setMax(int value){ max.setValue((value < 0 || value > 10) ? 10 : value); }
}

